// eta图表 我的图库 数据指标库
import { dataBaseInterface, mychartInterface } from './modules/chartApi';

//接入的第三方的数据库
import {
  lzDataInterface,
  glDataInterface,
  smmDataInterface,
  coalDataInterface,
  sciDataInterface,
  baiinfoInterface,
  nationalInterface
} from './modules/thirdBaseApi';

//手工指标 手工数据 手工数据权限
import { dataInterence, dataAuthInterface } from './modules/dataApi';

//部门管理 视频管理 互动管理(问答社区) 英文权限管理
import { departInterence, videoInterence ,InteractionInterence,enAuthInterence} from './modules/setApi';

//工作台 数据报表
import { dataMainInterface } from './modules/statisticApi';

//crm
import { customInterence ,equityContacts ,xClassCustomApi} from './modules/crmApi';

//合同
import { contractInterface } from './modules/contractApi';

//群发设置
import { groupSendInterface } from './modules/groupSendApi';

//权益相关 小程序 商品晨报
import { raiInterface, morningPaper,raiSpecial } from './modules/rai/raiApi';

// ficc商品小程序
import { ficcManageInterface } from './modules/ficcApi'

// 用印模块
import { sealInterence } from './modules/sealApi'

// 分类权限
import { classifyPermissionInterface } from './modules/classifyApi'

// 路演权限
import { roadshowInterence } from './modules/roadshowApi'

//沙盘接口
import sandInterface from './modules/sandApi';
//图库9.0(智能PPT版式) 接口
import pptInterface from './modules/pptApi';

//互动管理
import interactiveInterface from './modules/interactive';

// 共享网盘
import cloudDiskInterface from './modules/cloudDisk';

//视频管理模块
import videoInterface from './modules/videoApi'

//权益视频管理模块
import raiVideoApi from './modules/rai/videoListApi'

//策略报告模块
import {strategyReportInterence} from './modules/strategyReport'

// 出差管理
import {businessTripInterence} from './modules/businessTrip'

import {reportVarietyENInterence} from './modules/reportVariety'

//商家管理
import {businessCustomInterence} from './modules/businessCustom'

//帮助中心
import {assistanceDocInterence} from './modules/assistanceDoc'

export {
  dataBaseInterface,
  mychartInterface,
  lzDataInterface,
  glDataInterface,
  smmDataInterface,
  dataInterence,
  dataAuthInterface,
  departInterence,
  videoInterence,
  InteractionInterence,
  enAuthInterence,
  dataMainInterface,
  customInterence,
  equityContacts,
  contractInterface,
  groupSendInterface,
  raiInterface,
  morningPaper,
  ficcManageInterface,
  classifyPermissionInterface,
  sealInterence,
  roadshowInterence,
  sandInterface,
  coalDataInterface,
  raiSpecial,
  pptInterface,
  interactiveInterface,
  videoInterface,
  raiVideoApi,
  strategyReportInterence,
  sciDataInterface,
  baiinfoInterface,
  nationalInterface,
  cloudDiskInterface,
  businessTripInterence,
  reportVarietyENInterence,
  businessCustomInterence,
  assistanceDocInterence,
  xClassCustomApi
};

//老接口 研报 ppt等
import * as oldApis from './modules/oldApi';

const {
  userLogin,
  modifyPwd,
  checkPwd,
  reportlist,
  reportpublish,
  reportpublishcancle,
  voiceupload,
  resourceVoiceupload,
  reportadd,
  reportedit,
  reportdelete,
  reportdetail,
  classifyIdDetail,
  sendTemplateMsg,
  reportauthor,
  getDraft,
  autosave,
  classifylist,
  classifyparent,
  classifyadd,
  classifydelete,
  classifyedit,
  checkDeleteClassify,
  bannerlist,
  bannerupload,
  banneradd,
  banneredit,
  bannerdelete,
  pptlist,
  pptadd,
  pptdetail,
  pptedit,
  pptdelete,
  base64Upload,
  pptUpload,
  firstBg,
  pptPublish,
  messagePushPost,
  dayWeekReportChapterList,
  addDayWeekReport,
  editDayWeekReport,
  dayWeekChapterList,
  chapterTrendTagList,
  editChapterTrendTag,
  chapterDetail,
  dayTicketList,
  saveChapterReport,
  getChapterReportBefore,
  getChapterReportIsLast,
	publishChapterReport,
	publishDayOrWeekReport,
  dayWeekPauseTime,
  dayWeekUpdateRule,
  chapterQRCodeImg,
  getOSSSign,
  classifyTelList,
  getBeingPushedReportType,
  getBeingPushedReportList,
  setPushingTime,
  markReport,
  getchapterTypeList,
  addChapterType,
  editChapterType,
  deleteChapterType,
  getchapterTPermissionList,
  setchapterTPermission,
  reportMessageSend,
  weekReportValidAudio,
  getUserUuid
} = oldApis;

export {
  userLogin,
  modifyPwd,
  checkPwd,
  reportlist,
  reportpublish,
  reportpublishcancle,
  voiceupload,
  resourceVoiceupload,
  reportadd,
  reportedit,
  reportdelete,
  reportdetail,
  classifyIdDetail,
  sendTemplateMsg,
  reportauthor,
  getDraft,
  autosave,
  classifylist,
  classifyparent,
  classifyadd,
  classifydelete,
  classifyedit,
  checkDeleteClassify,
  bannerlist,
  bannerupload,
  banneradd,
  banneredit,
  bannerdelete,
  pptlist,
  pptadd,
  pptdetail,
  pptedit,
  pptdelete,
  base64Upload,
  pptUpload,
  firstBg,
  pptPublish,
  messagePushPost,
  dayWeekReportChapterList,
  addDayWeekReport,
  editDayWeekReport,
  dayWeekChapterList,
  chapterTrendTagList,
  editChapterTrendTag,
  chapterDetail,
  dayTicketList,
  saveChapterReport,
  getChapterReportBefore,
  getChapterReportIsLast,
	publishChapterReport,
	publishDayOrWeekReport,
  dayWeekPauseTime,
  dayWeekUpdateRule,
  chapterQRCodeImg,
  getOSSSign,
  classifyTelList,
  getBeingPushedReportType,
  getBeingPushedReportList,
  setPushingTime,
  markReport,
  getchapterTypeList,
  addChapterType,
  editChapterType,
  deleteChapterType,
  getchapterTPermissionList,
  setchapterTPermission,
  reportMessageSend,
  weekReportValidAudio,
  getUserUuid
};

