//出差管理路由模块
const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页

export default [
    {
		path: '/',
		component: home,
		name: '出差管理',
		hidden: false,
		icon_path: require('@/assets/img/home/business_trip.png'),
		children: [
            {
				path: "businessTripCalendar",
				name: "出差日历",
				component: () => import('@/views/business_trip_manage/businessCalendar.vue')
			},
			{
				path: "businessTripApplication",
				name: "出差申请",
				component: () => import('@/views/business_trip_manage/businessApplication.vue')
			},
			{
				path: 'businessTripApproval',
				component: () => import('@/views/business_trip_manage/businessApproval.vue'),
				name: '出差审批'
			}
		]
	},
]