//路演管理路由模块
const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页

export default [
    {
		path: '/',
		component: home,
		name: '路演管理',
		hidden: false,
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [
            {
				path: "researcherCalendar",
				name: "研究员日历",
				component: () => import('@/views/roadshow_manage/researcherCalendar.vue')
			},
			{
				path: "myCalendar",
				name: "我的日历",
				component: () => import('@/views/roadshow_manage/myCalendar.vue')
			},
			{
				path: "meetingCalendar",
				name: "公开会议总览",
				component: () => import('@/views/roadshow_manage/meetingCalendar.vue')
			},
			{
				path: "statisticResearcher",
				name: "研究员路演统计",
				component: () => import('@/views/roadshow_manage/statistics/researcher.vue')
			},
			// {
			// 	path: "statisticSeller",
			// 	name: "销售路演统计",
			// 	component: () => import('@/views/roadshow_manage/statistics/seller.vue')
			// },
			// {
			// 	path: "specialSeller",
			// 	name: "专项路演统计",
			// 	component: () => import('@/views/roadshow_manage/statistics/specialSeller.vue')
			// },
			{
				path: "roadshowFeedback",
				name: "路演反馈",
				component: () => import('@/views/roadshow_manage/feedbackList.vue')
			},
			{
				path: "researcherBusinessTrip",
				name: "研究员出差表",
				component: () => import('@/views/roadshow_manage/researcherBusinessTrip.vue')
			},
			{
				path: "sellerCalendar",
				name: "销售员日历",
				component: () => import('@/views/roadshow_manage/sellerCalendar.vue')
			},
		]
	},
]