//培训管理路由模块
const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页
export default[
    {
        path:'/',
        component:home,
        name:'培训管理',
        hidden:false,
        icon_path:require('@/assets/img/home/training_icon.png'),
        children:[
            {
                path: "trainingVideo",
                name: "视频管理",
                component: () => import('@/views/training_manage/videoManage.vue')
            },
            {
                path: "trainingLabel",
                name: "标签管理",
                component: () => import('@/views/training_manage/labelManage.vue')
            },
            {
                path: "trainingClassify",
                name: "分类管理",
                component: () => import('@/views/training_manage/classifyManage.vue')
            },
            {
                path:'modifyVideo',
                name:'编辑视频',
                component:()=> import('@/views/training_manage/modifyVideoPage.vue')
            }
        ]
    }
]