//表格列
export const tableColums = (type) => {
  return type === 1
    ? [
        {
          label: "姓名",
          key: "RealName",
        },
        {
          label: "手机号码",
          key: "Mobile",
        },
        {
          label: "邮箱",
          key: "Email",
        },
        {
          label: "最新提交时间",
          key: "LastTime",
          minwidthsty:140
        },
        {
          label: "累计提交次数",
          key: "ApplyTotal",
        },
        {
          label: "最近一次阅读时间",
          key: "LastViewTimeStr",
          minwidthsty:140
        },
        {
          label: "累计阅读次数",
          key: "ViewTotal",
        },
        {
          label: "公司",
          key: "CompanyName",
        },
        {
          label: "原销售",
          key: "OriginSellerName",
        },
        {
          label: "来源",
          key: "SourceStr",
        },
        {
          label: "申请品种",
          key: "Permission",
        },
        {
          label: "申请类型",
          key: "ApplyStatus",
        },
        {
          label: "用户状态",
          key: "Status",
        },
      ]
    : type === 2
    ? [
        {
          label: "企业名称",
          key: "CompanyName",
        },
        {
          label: "姓名",
          key: "RealName",
        },
        {
          label: "手机号/邮箱",
          key: "Phone",
        },
        {
          label: "所属行业",
          key: "Industry",
        },
        {
          label: "申请时间",
          key: "CreateTimeStr",
        },
        {
          label: "申请品种",
          key: "ProductInfo",
        },
      ]
    : [
        {
          label: "企业名称",
          key: "CompanyName",
        },
        {
          label: "姓名",
          key: "RealName",
        },
        {
          label: "邮箱",
          key: "Email",
        },
        {
          label: "信息",
          key: "Message",
        },
        {
          label: "发送时间",
          key: "CreateTimeStr",
        },
      ];
};
