//表格列
export const tableColums = (type) => {
  return type === 1
    ? [
        {
          label: "姓名",
          key: "RealName",
        },
        {
          label: "手机号码",
          key: "Mobile",
        },
        {
          label: "外呼号码",
          key: "OutboundMobile",
        },
        {
          label: "公司名称",
          key: "CompanyName",
        },
        {
          label: "所属销售",
          key: "SellerName",
        },
        {
          label: "报名时间",
          key: "CreateTime",
        },
      ]
    : type === 2
    ? [
        {
          label: "姓名",
          key: "RealName",
        },
        {
          label: "公司名称",
          key: "CompanyName",
        },
        {
          label: "所属销售",
          key: "SellerName",
        },
        {
          label: "报名时间",
          key: "CreateTime",
        },
      ]
    : type === 3
    ? [
        {
          label: "姓名",
          key: "RealName",
        },

        {
          label: "公司名称",
          key: "CompanyName",
        },
        {
          label: "所属销售",
          key: "SellerName",
        },
        {
          label: "报名时间",
          key: "CreateTime",
        },
        {
          label: "失败原因",
          key: "FailType",
        },
      ]
    : [
        {
          label: "姓名",
          key: "RealName",
        },
        {
          label: "手机号码",
          key: "Mobile",
        },

        {
          label: "公司名称",
          key: "CompanyName",
        },
        {
          label: "所属销售",
          key: "SellerName",
        },
        {
          label: "报名时间",
          key: "CreateTime",
        },
        {
          label: "失败原因",
          key: "FailType",
        },
      ];
};

export const ListTitle = [
  {
    PermissionName: "专家/分析师电话会",
    ChartPermissionId: 1,
  },
  {
    PermissionName: "分析师电话会（C类）",
    ChartPermissionId: 4,
  },
  {
    PermissionName: "专家/分析师线下沙龙",
    ChartPermissionId: 2,
  },
  {
    PermissionName: "公司调研",
    ChartPermissionId: 3,
  },
];

export const purchaserListTitle = [
  {
    PermissionName: "专家电话会",
    ChartPermissionId: 1,
  },
  {
    PermissionName: "专家线下沙龙",
    ChartPermissionId: 2,
  },
  {
    PermissionName: "买方线下交流",
    ChartPermissionId: 5,
  },
  {
    PermissionName: "公司调研",
    ChartPermissionId: 3,
  },
];

//表格列
export const TableApplyColums = (type) => {
  return type === 1
    ? [
        {
          label: "活动名称",
          key: "ActivityName",
          minwidthsty: "300",
        },
        {
          label: "行业",
          key: "ChartPermissionName",
        },
        {
          label: "活动类型",
          key: "ActivityTypeName",
          minwidthsty: "110",
        },
        {
          label: "活动标签",
          key: "Label",
          minwidthsty: "120",
        },
        {
          label: "活动状态",
          key: "ActiveState",
          minwidthsty: "80",
        },
        {
          label: "发布状态",
          key: "PublishStatus",
          minwidthsty: "80",
        },
        {
          label: "活动时间",
          key: "ActivityTimeText",
          minwidthsty: "200",
        },
        {
          label: "报名人数限制",
          key: "LimitPeopleNum",
          minwidthsty: "105",
        },
        {
          label: "当前报名人数",
          key: "SignupPeopleNum",
          minwidthsty: "105",
        },
        {
          label: "报名失败人数",
          key: "SignupFailPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "消息提醒人数",
          key: "ReminderPeopleNum",
          minwidthsty: "105",
        },
        {
          label: "预约纪要人数",
          key: "AppointmentPeopleNum",
          minwidthsty: "105",
        },
        {
          label: "带问",
          key: "AskNum",
          minwidthsty: "70",
        },
      ]
    : type === 2
    ? [
        {
          label: "活动名称",
          key: "ActivityName",
          minwidthsty: "350",
        },
        {
          label: "行业",
          key: "ChartPermissionName",
        },
        {
          label: "活动类型",
          key: "ActivityTypeName",
          minwidthsty: "120",
        },
        {
          label: "活动标签",
          key: "Label",
          minwidthsty: "120",
        },
        {
          label: "活动时间",
          key: "ActivityTimeText",
          minwidthsty: "219",
        },
        {
          label: "活动状态",
          key: "ActiveState",
          minwidthsty: "80",
        },
        {
          label: "发布状态",
          key: "PublishStatus",
          minwidthsty: "80",
        },
        {
          label: "报名人数限制",
          key: "LimitPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "当前报名人数",
          key: "SignupPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "报名失败人数",
          key: "SignupFailPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "预约纪要人数",
          key: "AppointmentPeopleNum",
          minwidthsty: "130",
        },
      ]
    : type === 3
    ? [
        {
          label: "活动名称",
          key: "ActivityName",
          minwidthsty: "300",
        },
        {
          label: "行业",
          key: "ChartPermissionName",
        },
        {
          label: "活动类型",
          key: "ActivityTypeName",
          minwidthsty: "120",
        },
        {
          label: "活动标签",
          key: "Label",
          minwidthsty: "120",
        },
        {
          label: "活动时间",
          key: "ActivityTimeText",
          minwidthsty: "219",
        },
        {
          label: "活动状态",
          key: "ActiveState",
          minwidthsty: "80",
        },
        {
          label: "发布状态",
          key: "PublishStatus",
          minwidthsty: "80",
        },
        {
          label: "报名人数限制",
          key: "LimitPeopleNum",
          minwidthsty: "105",
        },
        {
          label: "当前报名人数",
          key: "SignupPeopleNum",
          minwidthsty: "105",
        },
        {
          label: "报名失败人数",
          key: "SignupFailPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "会议提醒人数",
          key: "ReminderPeopleNum",
          minwidthsty: "105",
        },
        {
          label: "预约纪要人数",
          key: "AppointmentPeopleNum",
          minwidthsty: "105",
        },
      ]
    : [
        {
          label: "活动名称",
          key: "ActivityName",
          minwidthsty: "350",
        },
        {
          label: "行业",
          key: "ChartPermissionName",
        },
        {
          label: "活动类型",
          key: "ActivityTypeName",
          minwidthsty: "150",
        },
        {
          label: "活动标签",
          key: "Label",
          minwidthsty: "120",
        },
        {
          label: "活动时间",
          key: "ActivityTimeText",
          minwidthsty: "219",
        },
        {
          label: "活动状态",
          key: "ActiveState",
          minwidthsty: "80",
        },
        {
          label: "发布状态",
          key: "PublishStatus",
          minwidthsty: "80",
        },
        {
          label: "报名人数限制",
          key: "LimitPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "当前报名人数",
          key: "SignupPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "报名失败人数",
          key: "SignupFailPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "消息提醒人数",
          key: "ReminderPeopleNum",
          minwidthsty: "130",
        },
        {
          label: "预约纪要人数",
          key: "AppointmentPeopleNum",
          minwidthsty: "105",
        },
      ];
};

export const StatusSelect = [
  {
    name: "未开始",
    value: 1,
  },
  {
    name: "进行中",
    value: 2,
  },
  {
    name: "已结束",
    value: 3,
  },
];

export const PublishSelect = [
  {
    name: "已发布",
    value: "1",
  },
  {
    name: "未发布",
    value: "0",
  },
  {
    name: "已取消",
    value: "3",
  },
];

export const SearchResultTable = [
  {
    label: "姓名",
    key: "RealName",
  },
  {
    label: "手机号码",
    key: "Mobile",
  },
  {
    label: "参会次数",
    key: "TotalMeeting",
  },
];

export const DetailedTable = [
  {
    label: "活动名称",
    key: "ActivityName",
    minwidthsty: "300",
  },
  {
    label: "活动时间",
    key: "ActivityTimeText",
    widthsty: "215",
  },
  {
    label: "首次入会时间",
    key: "FirstMeetingTime",
    widthsty: 160,
  },
  {
    label: "最后退出时间",
    key: "LastMeetingTime",
    widthsty: 160,
  },
  {
    label: "参与总时长",
    key: "Duration",
    widthsty: 96,
  },
  {
    label: "参会方式",
    key: "MeetingTypeStr",
    widthsty: 80,
  },
  {
    label: "参会鉴权",
    key: "MeetingAuthentication",
    widthsty: 80,
  },
  {
    label: "参会状态",
    key: "MeetingStatusStr",
    widthsty: 80,
  },
];

export const NameListDownload = [
  { type: "全部名单", value: 0 },
  { type: "预约外呼名单", value: 1 },
  { type: "自主入会（自主拨入）名单", value: 2 },
];
