export const inAdvanceOptions = [
  { id: "0", name: "未发布" },
  { id: "1", name: "已发布" },
  { id: "3", name: "已下线" },
  { id: "4", name: "已确定行程" },
];

export const ConfirmOptions = [
  { id: "0", name: "未发布" },
  { id: "1", name: "已发布" },
];

//表格列
export const tableColums = (type) => {
  return type === 1
    ? [
        {
          label: "调研主题",
          key: "ResearchTheme",
          minwidthsty: "195",
        },
        {
          label: "行业",
          key: "ChartPermissionName",
          widthsty: "95",
        },
        {
          label: "活动负责人",
          key: "AdminName",
          widthsty: "98",
        },
        {
          label: "预期活动时间",
          key: "ActivityTimeText",
          widthsty: "110",
        },
        {
          label: "调研形式",
          key: "SpecialType",
          widthsty: "115",
        },
        {
          label: "更新时间",
          key: "LastUpdatedTime",
          widthsty: "195",
        },
        {
          label: "感兴趣人数",
          key: "InterestedNum",
          widthsty: "95",
        },
        {
          label: "发布状态",
          key: "PublishStatus",
          widthsty: "115",
        },
      ]
    : [
        {
          label: "调研主题",
          key: "ResearchTheme",
          minwidthsty: "195",
        },
        {
          label: "行业",
          key: "ChartPermissionName",
          widthsty: "95",
        },
        {
          label: "活动负责人",
          key: "AdminName",
          widthsty: "98",
        },
        {
          label: "活动开始时间",
          key: "ActivityTimeTextByDay",
          widthsty: "250",
        },
        {
          label: "调研形式",
          key: "SpecialType",
          widthsty: "115",
        },
        {
          label: "更新时间",
          key: "LastUpdatedTime",
          widthsty: "195",
        },
        {
          label: "报名人数",
          key: "SignupPeopleNum",
          widthsty: "95",
        },
        {
          label: "发布状态",
          key: "PublishStatus",
          widthsty: "115",
        },
      ];
};

export const TabsTop = [
  { id: 1, name: "预报名" },
  { id: 2, name: "确定行程" },
];


