//销售
const seller_obj = {
    defaultActivityType: '内部会议',
    activityTypeList:['路演','内部会议','公开会议'],
}

//研究员 ficc管理员
const researcher_obj = {
    defaultActivityType: '内部会议',
    activityTypeList:['内部会议'],
}
//管理员
const admin_obj = {
    defaultActivityType: '报告电话会',
    activityTypeList:['报告电话会','内部会议'],
}


// 按钮添加活动弹窗权限
export default {
    // ficc销售权限
    ficc_seller: seller_obj,
    // 权益销售权限
    rai_seller: seller_obj,
    // ficc组长权限
    ficc_group: seller_obj,
    // 权益组长权限
    rai_group: seller_obj,
    // ficc管理员权限
    ficc_admin: researcher_obj,
    // 权益管理员权限
    rai_admin: researcher_obj,
    // ficc研究员权限
    ficc_researcher: researcher_obj,
    // ficc研究员(最早定义)权限
    researcher: researcher_obj,
    // admin,中级管理者,普通管理者权限
    admin: admin_obj,
    // 默认的开始时间为 日历开始日期 的15.30 时间间隔一小时
    defaultStartTime: (date=new Date()) => {
        return new Date(date.toLocaleDateString() + " 15:30");
    },
    // 默认结束时间为当前第二天的16.00
    defaultEndTime: (date=new Date()) => {
        return new Date(date.toLocaleDateString() + " 16:30");
    },
}