import http from "@/api/http.js";

/* 群发设置 */
const groupSendInterface={
	/** 
	 * 新增群发消息
	 * @param Description	摘要
	 * @param ImgUrl		图片地址
	 * @param Label			标签，多个标签用、隔开
	 * @param LinkUrl		跳转地址
	 * @param Title			标题
	 */
	groupMessageAdd:params=>{
		return http.post('/group_send_msg/add',params)
	},

	/**
	 * 获取标签
	 */
	groupMessageLabel:()=>{
		return http.get('/group_send_msg/label_list',{})
	}
}

export {
	groupSendInterface
}