const resetpassword = r => require.ensure([], () => r(require('@/views/resetpassword.vue')), 'resetpassword'); //修改密码
const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页

export default [
  {
		path:'/contractdtl',
		component:()=>import('@/views/contract_manage/preViewContract.vue'),
		name:"预览合同",
		hidden:true,
	},
	{
		path: '/fingerpost',
		component: () => import('@/views/operation_manage/index.vue'),
		name: '操作指南',
		hidden: false,
	},
	{
		path:'/AIQA',
		component:()=> import('@/views/operation_manage/AIQA/AIQA.vue'),
		name:'AI问答',
		hidden:false
	},

  // 主页
	{
		path: '/',
		component: home,
		name: '主页',
		hidden: true,
		children: [
			{
				path: 'resetpsd',
				component: resetpassword,
				name: '修改密码',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
		]
	},

  /* 工作台 */
	{
		path: '/',
		component: home,
		name: '首页',
		hidden: false,
		icon_path: require('@/assets/img/home/work_ico.png'),
		children: [{
			path: '/dashboard',
			component: () => import('@/views/dashboard_manage/workbench.vue'),
			name: '工作台',
			hidden: false
		}]
	},
]