//表格列
export const tableColums = (type) => {
  return type === 1
    ? [
        {
          label: "报告标题",
          key: "Title",
          minwidthsty: 140,
        },
        {
          label: "所属行业",
          key: "PermissionName",
          widthsty: 80,
        },
        {
          label: "所属产业",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
        {
          label: "发布时间",
          key: "PublishDate",
        },
        {
          label: "阅读时间",
          key: "CreateTime",
        },
        {
          label: "阅读时长",
          key: "StopTime",
          widthsty: 80,
        },
        {
          label: "阅读来源",
          key: "RegisterPlatform",
          widthsty: 80,
        },
      ]
    : type === 3
    ? [
        {
          label: "报告标题",
          key: "Title",
          minwidthsty: 140,
        },
        {
          label: "收藏时间",
          key: "CreateTime",
        },
        {
          label: "发布时间",
          key: "PublishDate",
        },
        {
          label: "报告类型",
          key: "MatchTypeName",
        },
        {
          label: "所属产业",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
      ]
    : type === 4
    ? []
    : type === 2
    ? [
        {
          label: "活动名称",
          key: "ActivityName",
          minwidthsty: 140,
        },
        {
          label: "所属行业",
          key: "PermissionName",
          widthsty: 80,
        },
        {
          label: "活动类型",
          key: "ActivityTypeName",
          widthsty: 140,
        },
        {
          label: "活动主题",
          key: "Label",
        },
        {
          label: "活动时间",
          key: "ActivityTime",
        },
        {
          label: "是否到会",
          key: "IsMeeting",
          widthsty: 80,
        },
        {
          label: "首次入会时间",
          key: "FirstMeetingTime",
        },
        {
          label: "最后退出时间",
          key: "LastMeetingTime",
        },
        {
          label: "参与总时长",
          key: "Duration",
          widthsty: 100,
        },
        {
          label: "参会方式",
          key: "MeetingTypeStr",
          widthsty: 80,
        },
        {
          label: "参会鉴权",
          key: "MeetingAuthentication",
          widthsty: 80,
        },
        {
          label: "参会状态",
          key: "MeetingStatusStr",
          widthsty: 80,
        },
      ]
    : type === 5
    ? [
        {
          label: "产业名称",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
        {
          label: "关注时间",
          key: "CreateTime",
        },
      ]
    : type === 6
    ? [
        {
          label: "作者昵称",
          key: "NickName",
        },
        {
          label: "作者相关产业",
          key: "IndustryName",
        },
        {
          label: "相关标的",
          key: "SubjectNameStr",
        },
        {
          label: "关注时间",
          key: "CreateTime",
        },
      ]
    : type === 7
    ? [
        {
          label: "搜索词",
          key: "KeyWord",
        },
        {
          label: "搜索时间",
          key: "CreateTime",
        },
      ]
    : type === 8
    ? [
        {
          label: "调研主题",
          key: "ActivityName",
          minwidthsty: "195",
        },
        {
          label: "行业",
          key: "PermissionName",
          widthsty: 100,
        },
        {
          label: "活动开始时间",
          key: "ActivityTimeText",
          widthsty: "300",
        },
        {
          label: "调研形式",
          key: "ActivityType",
          widthsty: "130",
        },
        {
          label: "是否到会",
          key: "IsMeeting",
          widthsty: 100,
        },
      ]
    : type === 9
    ? [
        {
          label: "文件名称",
          key: "MediaTitle",
        },
        {
          label: "文件类型",
          key: "FileType",
          widthsty: 200,
        },
        {
          label: "播放时间",
          key: "CreateTime",
          widthsty: 300,
        },
      ]
    : type === 10
    ? [
        {
          label: "标签名称",
          key: "TagName",
        },
        {
          label: "报告系列",
          key: "ArticleTypes",
          // widthsty: 200,
        },
        {
          label: "活动类型",
          key: "ActivityTypes",
          // widthsty: 300,
        },
        {
          label: "相关产业",
          key: "Industries",
          // widthsty: 300,
        },
        {
          label: "相关标的",
          key: "SubjectNames",
          // widthsty: 300,
        },
        {
          label: "点击时间",
          key: "CreateTime",
          // widthsty: 300,
        },
    ]      
    : [];
};

//表格列
export const interactionColums = [
  {
    title: "报告阅读",
    tableName: "List1",
    table: [
      {
        label: "报告标题",
        key: "Title",
        minwidthsty: 140,
      },
      {
        label: "阅读时间",
        key: "CreateTime",
      },
      {
        label: "阅读时长",
        key: "StopTime",
        widthsty: 80,
      }
    ],
  },
  {
    title: "报告收藏",
    tableName: "List2",
    table: [
      {
        label: "报告标题",
        key: "Title",
        minwidthsty: 140,
      },
      {
        label: "收藏时间",
        key: "CreateTime",
      },
    ],
  },
  {
    tableName: "List3",
    title: "活动互动",
    table: [
      {
        label: "活动名称",
        key: "ActivityName",
        minwidthsty: 140,
      },
      {
        label: "活动形式",
        key: "ActivityType",
      },
      {
        label: "活动时间",
        key: "ActivityTime",
      },
      {
        label: "参会总时长",
        key: "Duration",
      },
    ],
  },
  {
    tableName: "List4",
    title: "专项调研",
    table: [
      {
        label: "调研主题",
        key: "ActivityName",
        minwidthsty: 140,
      },
      {
        label: "行业",
        key: "PermissionName",
      },
      {
        label: "活动时间",
        key: "ActivityTime",
      },
      {
        label: "调研形式",
        key: "ActivityType",
      },
    ],
  },
];

//活动的筛选
export const screenList = [
  {
    name: "线上活动",
    key: 1,
  },
  {
    name: "线下活动",
    key: 2,
  },
];

export const meetingList = [
  {
    name: "已到会",
    key: 1,
  },
  {
    name: "未到会",
    key: 2,
  },
];

//机构的表格列
export const organizationTableColums = (type) => {
  return type === 1
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "报告标题",
          key: "Title",
          minwidthsty: 140,
        },
        {
          label: "所属行业",
          key: "PermissionName",
          widthsty: 80,
        },
        {
          label: "所属产业",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
        {
          label: "发布时间",
          key: "PublishDate",
        },
        {
          label: "阅读时间",
          key: "CreateTime",
        },
        {
          label: "阅读时长",
          key: "StopTime",
          widthsty: 80,
        },
        {
          label: "阅读来源",
          key: "RegisterPlatform",
          widthsty: 80,
        },
        
      ]
    : type === 2
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "活动名称",
          key: "ActivityName",
          minwidthsty: 140,
        },
        {
          label: "所属行业",
          key: "PermissionName",
          widthsty: 80,
        },
        {
          label: "活动类型",
          key: "ActivityTypeName",
          widthsty: 140,
        },
        {
          label: "活动主题",
          key: "Label",
        },
        {
          label: "活动时间",
          key: "ActivityTime",
        },
        {
          label: "是否到会",
          key: "IsMeeting",
          widthsty: 80,
        },
        {
          label: "首次入会时间",
          key: "FirstMeetingTime",
          widthsty: 110,
        },
        {
          label: "最后退出时间",
          key: "LastMeetingTime",
          widthsty: 110,
        },
        {
          label: "参与总时长",
          key: "Duration",
          widthsty: 100,
        },
        {
          label: "参会方式",
          key: "MeetingTypeStr",
          widthsty: 80,
        },
        {
          label: "参会鉴权",
          key: "MeetingAuthentication",
          widthsty: 80,
        },
        {
          label: "参会状态",
          key: "MeetingStatusStr",
          widthsty: 80,
        },
      ]
    : type === 4
    ? []
    : type === 3
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "报告标题",
          key: "Title",
          minwidthsty: 140,
        },
        {
          label: "收藏时间",
          key: "CreateTime",
        },
        {
          label: "发布时间",
          key: "PublishDate",
        },
        {
          label: "报告类型",
          key: "MatchTypeName",
        },
        {
          label: "所属产业",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
      ]
    : type === 5
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "产业名称",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
        {
          label: "关注时间",
          key: "CreateTime",
        },
      ]
    : type === 6
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "作者昵称",
          key: "NickName",
        },
        {
          label: "作者相关产业",
          key: "IndustryName",
        },
        {
          label: "关注时间",
          key: "CreateTime",
        },
      ]
    : type === 7
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "搜索词",
          key: "KeyWord",
        },
        {
          label: "搜索时间",
          key: "CreateTime",
        },
      ]
    : type === 8
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 200,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "调研主题",
          key: "ActivityName",
          minwidthsty: "195",
        },
        {
          label: "行业",
          key: "PermissionName",
          widthsty: 80,
        },
        {
          label: "活动开始时间",
          key: "ActivityTimeText",
        },
        {
          label: "调研形式",
          key: "ActivityType",
          widthsty: "115",
        },
        {
          label: "是否到会",
          key: "IsMeeting",
          widthsty: 80,
        },
      ]
    : type === 9
    ? [
        {
          label: "姓名",
          key: "RealName",
          widthsty: 130,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "文件名称",
          key: "MediaTitle",
          widthsty: 500,
        },
        {
          label: "文件类型",
          key: "FileType",
        },
        {
          label: "播放时间",
          key: "CreateTime",
        },
      ]
    : type === 10
    ? [
        {
          label: "姓名",
          key: "RealName",
          // widthsty: 130,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "标签名称",
          key: "TagName",
          // widthsty: 500,
        },
        {
          label: "报告系列",
          key: "ArticleTypes",
        },
        {
          label: "活动类型",
          key: "ActivityTypes",
        },        
        {
          label: "相关产业",
          key: "SubjectNames",
          // widthsty: 500,
        },
        {
          label: "相关标的",
          key: "SubjectNames",
        },
        {
          label: "点击时间",
          key: "CreateTime",
        },
      ]
    : [];
};

//全机构互助列表的表格列表
export const wholeOrganizationTableColums = (type) => {
  return type === 1
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 90,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 90,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "报告标题",
          key: "Title",
          minwidthsty: 140,
        },
        {
          label: "所属行业",
          key: "PermissionName",
          widthsty: 80,
        },
        {
          label: "所属产业",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
        {
          label: "发布时间",
          key: "PublishDate",
        },
        {
          label: "阅读时间",
          key: "CreateTime",
        },
        {
          label: "阅读时长",
          key: "StopTime",
          widthsty: 80,
        },
        {
          label: "阅读来源",
          key: "RegisterPlatform",
          widthsty: 80,
        },
      ]
    : type === 2
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 90,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 90,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "活动名称",
          key: "ActivityName",
          minwidthsty: 140,
        },
        {
          label: "所属行业",
          key: "PermissionName",
          widthsty: 80,
        },
        {
          label: "活动类型",
          key: "ActivityTypeName",
          widthsty: 140,
        },
        {
          label: "活动主题",
          key: "Label",
        },
        {
          label: "活动时间",
          key: "ActivityTime",
        },
        {
          label: "是否到会",
          key: "IsMeeting",
          widthsty: 80,
        },
        {
          label: "首次入会时间",
          key: "FirstMeetingTime",
        },
        {
          label: "最后退出时间",
          key: "LastMeetingTime",
        },
        {
          label: "参与总时长",
          key: "Duration",
          widthsty: 100,
        },
        {
          label: "参会方式",
          key: "MeetingTypeStr",
          widthsty: 80,
        },
        {
          label: "参会鉴权",
          key: "MeetingAuthentication",
          widthsty: 80,
        },
        {
          label: "参会状态",
          key: "MeetingStatusStr",
          widthsty: 80,
        },
      ]
    : type === 3
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 90,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 90,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "报告标题",
          key: "Title",
          minwidthsty: 140,
        },
        {
          label: "收藏时间",
          key: "CreateTime",
        },
        {
          label: "发布时间",
          key: "PublishDate",
        },
        {
          label: "报告类型",
          key: "MatchTypeName",
        },
        {
          label: "所属产业",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
      ]
    : type === 5
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 90,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 90,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "产业名称",
          key: "IndustryName",
        },
        {
          label: "关联标的",
          key: "SubjectNameStr",
        },
        {
          label: "关注时间",
          key: "CreateTime",
        },
      ]
    : type === 6
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 90,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 90,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "作者昵称",
          key: "NickName",
        },
        {
          label: "作者相关产业",
          key: "IndustryName",
        },
        {
          label: "关注时间",
          key: "CreateTime",
        },
      ]
    : type === 7
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 90,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 90,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 90,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "搜索词",
          key: "KeyWord",
        },
        {
          label: "搜索时间",
          key: "CreateTime",
        },
      ]
    : type === 8
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 200,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 100,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 100,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "调研主题",
          key: "ActivityName",
          minwidthsty: "200",
        },
        {
          label: "行业",
          key: "PermissionName",
          widthsty: 100,
        },
        {
          label: "活动开始时间",
          key: "ActivityTimeText",
          widthsty: 280,
        },
        {
          label: "调研形式",
          key: "ActivityType",
          widthsty: "115",
        },
        {
          label: "是否到会",
          key: "IsMeeting",
          widthsty: 100,
        },
      ]
    : type === 9
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: 200,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: 100,
        },
        {
          label: "姓名",
          key: "RealName",
          widthsty: 100,
        },
        {
          label: "手机号",
          key: "Mobile",
        },
        {
          label: "文件名称",
          key: "MediaTitle",
          widthsty: 500,
        },
        {
          label: "文件类型",
          key: "FileType",
        },
        {
          label: "播放时间",
          key: "CreateTime",
        },
      ]
    : type === 10
    ? [
        {
          label: "公司名",
          key: "CompanyName",
          // widthsty: 200,
        },
        {
          label: "姓名",
          key: "RealName",
          // widthsty: 100,
        },
        {
          label: "手机号",
          key: "Mobile",
          // widthsty: 100,
        },
        {
          label: "标签名称",
          key: "TagName",
        },
        {
          label: "报告系列",
          key: "ArticleTypes",
          // widthsty: 500,
        },
        {
          label: "活动类型",
          key: "ActivityTypes",
        },
        {
          label: "相关产业",
          key: "SubjectNames",
        },
        {
          label: "相关标的",
          key: "SubjectNames",
        },
        {
          label: "点击时间",
          key: "CreateTime",
        },
      ]
    : [];
};
