export const TopLableList = [
  {
    name: "文章管理",
    value: 1,
  },
  {
    name: "作者管理",
    value: 2,
  },
];
export const ReportStutsList = [
  {
    name: "待审核",
    value: 1,
  },
  {
    name: "已发布",
    value: 2,
  },
  {
    name: "驳回记录",
    value: 3,
  },
];

export const TableColums = (type) => {
  return type === 1
    ? [
        {
          label: "文章标题",
          key: "Title",
        },
        {
          label: "文章类型",
          key: "Type",
          widthsty: 80,
        },
        {
          label: "专栏名称",
          key: "SpecialName",
        },
        {
          label: "作者昵称",
          key: "NickName",
        },
        {
          label: "提交审核时间",
          key: "PublishTime",
          widthsty: 160,
        },
      ]
    : type === 2
    ? [
        {
          label: "文章标题",
          key: "Title",
        },
        {
          label: "文章类型",
          key: "Type",
          widthsty: 80,
        },
        {
          label: "专栏名称",
          key: "SpecialName",
        },
        {
          label: "作者昵称",
          key: "NickName",
        },
        {
          label: "发布（审核通过）时间",
          key: "PublishTime",
          widthsty: 200,
        },
        {
          label: "审核人",
          key: "AdminName",
          widthsty: 100,
        },
        {
          label: "PV/UV",
          key: "pv",
          widthsty: 100,
        },
        {
          label: "收藏数",
          key: "ArticleCollectNum",
          widthsty: 100,
        },
      ]
    : [
        {
          label: "文章标题",
          key: "Title",
        },
        {
          label: "文章类型",
          key: "Type",
          widthsty: 80,
        },
        {
          label: "文章ID",
          key: "YanxuanSpecialId",
          widthsty: 100,
        },
        {
          label: "专栏名称",
          key: "SpecialName",
        },
        {
          label: "作者昵称",
          key: "NickName",
        },
        {
          label: "审核时间",
          key: "CreateTime",
          widthsty: 160,
        },
        {
          label: "审核人",
          key: "AdminName",
          widthsty: 100,
        },
      ];
};
export const AuthorTableColums = [
  {
    label: "专栏名称",
    key: "SpecialName",
    // widthsty: 200,
  },
  {
    label: "作者昵称",
    key: "NickName",
    widthsty: 90,
  },
  {
    label: "姓名",
    key: "RealName",
    widthsty: 90,
  },
  {
    label: "手机号",
    key: "Mobile",
    widthsty: 130,
  },
  {
    label: "公司名称",
    key: "CompanyName",
    widthsty: 200,
  },
  {
    label: "引荐人",
    key: "InviteName",
    widthsty: 100,
  },
  {
    label: "备注",
    key: "Remark",
    widthsty: 200,
  },
  {
    label: "开通时间",
    key: "CreateTime",
    widthsty: 170,
  },
  {
    label: "最近发布时间",
    key: "ArticlePublishTime",
    widthsty: 170,
  },
  {
    label: "已发布文章",
    key: "ArticleNum",
    widthsty: 130,
  },
  {
    label: "总PV/UV",
    key: "pv",
    widthsty: 160,
  },
  {
    label: "被收藏",
    key: "ArticleCollectNum",
    widthsty: 80,
  },
  {
    label: "粉丝",
    key: "FansNum",
    widthsty: 80,
  },
];
