const TEXT_SIZE = 18;
//默认配置
export let configOpt = {
	text: { //文本设置
		size: TEXT_SIZE,
		fontWeight: 'normal',
		color: '#333',
		lineHeight: TEXT_SIZE * 1.3,
	},
	line: { //线条设置
		width: 2,
		color: '#5B9BD5',
	},
	border: { //线框设置
		isDash: 0, // 0实 1虚线
		width: 2,
		fill: '#fff',
		borderColor: '#5B9BD5',
	}
}

/* 定义默认颜色 */
export const colorsOptions = ['#333','#5B9BD5','#f00','#fff','#00f','#000','#00FFFF','#70DB93','#9F5F9F','#A67D3D','#5F9F9F']

export const sizeOptions = [
	30,
	28,
	26,
	24,
	22,
	20,
	18,
	16,
	14,
	12,
	10,
]